angelfish (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:42:33 +0000

angelfish (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:15:56 +0000

angelfish (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:39:49 +0000

angelfish (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:05 +0000

angelfish (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:11:34 +0000

angelfish (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:56:42 +0000

angelfish (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:28 +0000

angelfish (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:09:53 +0000

angelfish (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - Build with dh-sequence-kf6.
    - wrap-and-sort.
    - Update build depends from cmake.
    - Update qmldeps.overrides
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Wed, 05 Nov 2025 08:40:21 +0000

angelfish (25.08.2-1) unstable; urgency=medium

  * Team Upload.
  * New Upstream version.
  * Drop myself from uploaders
  * Drop Redundant "Rules-Requires-Root: no"
  * Add B-D on libkf6crash-dev
  * Fix "old-fsf-address-in-copyright-file"
  * Add org.kde.angelfish.core and org.kde.angelfish.webapp to overrides
  * Update filepaths in d/copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 02 Nov 2025 16:10:53 +0530

angelfish (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:19 +0100

angelfish (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:49:41 +0100

angelfish (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:18:48 +0100

angelfish (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:44 +0100

angelfish (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update build depends.
  * Update qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:00:56 +0100

angelfish (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:55 +0100

angelfish (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:30 +0100

angelfish (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:59:00 +0100

angelfish (25.04.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Bump Standards-Version to 4.7.2, no change required.
  * Add lintian override for not shipping manuals, there’s none upstream
    and the programs have a very limited set of arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 14:53:30 +0200

angelfish (25.04.0-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 20 Apr 2025 09:21:07 +0200

angelfish (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:39:19 +0100

angelfish (24.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 21 Mar 2025 17:35:58 +0100

angelfish (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:34:02 +0000

angelfish (24.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Add qml6-module-qt5compat-graphicaleffects to the build dependencies
    instead of overriding it for dh-sequence-qmldeps autodetection.
    (Closes: #1095582)
  * Also build rust-based ad-blocker. (Closes: #1037279)
  * Build with hardening=+all build hardening flag.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 09 Feb 2025 23:09:22 +0100

angelfish (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:48:05 +0000

angelfish (24.12.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 06 Feb 2025 10:32:52 +0300

angelfish (24.12.1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add apparmor profile to fix userns.
    - Build with dh-sequence-kf6.
    - wrap-and-sort.
    - Update build depends from cmake.
    - Update qmldeps.overrides
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2025 13:33:59 +0000

angelfish (24.12.1-2) unstable; urgency=medium

  * Add override for qmldeps

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 11:54:12 +0100

angelfish (24.12.1-1) unstable; urgency=medium

  * Fix watch file
  * Add upstream public key
  * New URL
  * Remove patch
  * Update copyright file
  * Update build-deps for new version
  * Automatically generate qml dependencies
  * Add dh_clean configuration to make it rebuildable
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 19 Jan 2025 12:45:49 +0100

angelfish (23.08.5-0ubuntu8) oracular; urgency=medium

  * Bump version. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:39:44 -0700

angelfish (23.08.5-0ubuntu7) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 11 Jul 2024 04:36:17 -0700

angelfish (23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything apparmor following other profiles. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 13:28:52 +0100

angelfish (23.08.5-0ubuntu5) oracular; urgency=medium

  * Include tunables/multiarch.d to allow for variable

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 22 May 2024 05:40:17 -0700

angelfish (23.08.5-0ubuntu4) oracular; urgency=medium

  *  Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 05:08:48 -0700

angelfish (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:14:17 +1100

angelfish (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:51:11 +0000

angelfish (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:25:59 -0700

angelfish (23.08.4-0ubuntu3) noble; urgency=medium

  * Bump version. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 06 Feb 2024 12:45:43 -0700

angelfish (23.08.4-0ubuntu2) noble; urgency=medium

  * Add missing qml dependency. 
  * Add apparmor profile to fix userns. Ref: LP:2046844 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 06 Feb 2024 10:57:43 -0700

angelfish (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:22 +0000

angelfish (23.08.3-0ubuntu1) noble; urgency=medium

  [ Rik Mills ]
  * New upstream release (23.08.0)
  * Build depend on libfuturesql-dev
  * New upstream release (23.08.1)
  * New upstream release (23.08.2)
  * New upstream release (23.08.3)

  [ José Manuel Santamaría Lema ]
  * Build depend on qcoro-qt5-dev

 -- Rik Mills <rikmills@kde.org>  Sat, 02 Dec 2023 06:51:46 +0000

angelfish (23.04.3-3) unstable; urgency=medium

  * Move under Qt/KDE team and add myself as uploader

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 11:38:06 +0100

angelfish (23.04.3-2) unstable; urgency=medium

  * Replace "kirigami-addons-dev" build-dependency
    with "kirigami-addons5-dev" (Closes: #1079469)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 Sep 2024 16:00:12 +0530

angelfish (23.04.3-1) unstable; urgency=medium

  * New Upstream release 23.04.3
  * Add B-D on kirigami-addons-dev and libkf5qqc2desktopstyle-dev
  * Add Depends on:
    - qml-module-org-kde-kirigami-addons-labs-components
    - qml-module-org-kde-qqc2desktopstyle
    - qml-module-qt-labs-qmlmodels

 -- Nilesh Patra <nilesh@debian.org>  Fri, 02 Feb 2024 04:26:59 +0530

angelfish (23.04.3-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against qtwebengine-abi-5-15-15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 15 Sep 2023 14:11:56 +0300

angelfish (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:57 +0100

angelfish (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update build depends:
    - add libkf5qqc2desktopstyle-dev
    - add kirigami-addons-dev
  * Pass '--with kf5' to dh in debian/rules
  * Add pkg-kde-tools to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:52:47 +0100

angelfish (22.11-1) unstable; urgency=medium

  * New upstream release 22.11
  * Drop do-not-seek-feedback.patch, refresh skip-flaky-test.patch
  * Mention copyright of new files. Gosh I hate this work so much

 -- Nilesh Patra <nilesh@debian.org>  Thu, 29 Dec 2022 23:04:23 +0530

angelfish (22.06-1) unstable; urgency=medium

  * New upstream release 22.06

 -- Nilesh Patra <nilesh@debian.org>  Wed, 06 Jul 2022 16:05:15 +0530

angelfish (22.04-1) unstable; urgency=medium

  * New upstream release 22.04

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 10:16:48 +0530

angelfish (22.02-2) unstable; urgency=medium

  * Add qml-module-org-kde-kirigami2 as dependency (Closes: #1008940)
    Thanks to Marek Běl

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 Apr 2022 10:59:46 +0530

angelfish (22.02-1) unstable; urgency=medium

  * New upstream release 22.02

 -- Nilesh Patra <nilesh@debian.org>  Tue, 29 Mar 2022 19:09:07 +0530

angelfish (21.07-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Pirate Praveen <praveen@debian.org>  Mon, 14 Feb 2022 23:39:55 +0530

angelfish (21.07-1) unstable; urgency=medium

  * New upstream release 21.07
  * Update minimum version of kf5 components 5.84

 -- Pirate Praveen <praveen@debian.org>  Mon, 24 Jan 2022 19:16:51 +0530

angelfish (21.06-1) unstable; urgency=low

  [ Nilesh Patra, Pirate Praveen ]
  * Initial release. (Closes: #1003623)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 13 Jan 2022 14:44:52 +0530
